nxt

## Class ShufflingParticipant

- java.lang.Object
- - nxt.ShufflingParticipant

-     public final class ShufflingParticipant
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShufflingParticipant.Event`
    `static class` | `ShufflingParticipant.State`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<ShufflingParticipant> listener, ShufflingParticipant.Event eventType)`
    `long` | `getAccountId()`
    `byte[][]` | `getBlameData()`
    `byte[][]` | `getData()`
    `byte[]` | `getDataTransactionFullHash()`
    `int` | `getIndex()`
    `byte[][]` | `getKeySeeds()`
    `long` | `getNextAccountId()`
    `static ShufflingParticipant` | `getParticipant(long shufflingId, long accountId)`
    `static DbIterator<ShufflingParticipant>` | `getParticipants(long shufflingId)`
    `ShufflingParticipant` | `getPreviousParticipant()`
    `long` | `getShufflingId()`
    `ShufflingParticipant.State` | `getState()`
    `static boolean` | `removeListener(Listener<ShufflingParticipant> listener, ShufflingParticipant.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<ShufflingParticipant> listener,
                                            ShufflingParticipant.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<ShufflingParticipant> listener,
                                               ShufflingParticipant.Event eventType)

    - #### getParticipants

          public static DbIterator<ShufflingParticipant> getParticipants(long shufflingId)

    - #### getParticipant

          public static ShufflingParticipant getParticipant(long shufflingId,
                                                            long accountId)

    - #### getShufflingId

          public long getShufflingId()

    - #### getAccountId

          public long getAccountId()

    - #### getNextAccountId

          public long getNextAccountId()

    - #### getIndex

          public int getIndex()

    - #### getState

          public ShufflingParticipant.State getState()

    - #### getData

          public byte[][] getData()

    - #### getBlameData

          public byte[][] getBlameData()

    - #### getKeySeeds

          public byte[][] getKeySeeds()

    - #### getDataTransactionFullHash

          public byte[] getDataTransactionFullHash()

    - #### getPreviousParticipant

          public ShufflingParticipant getPreviousParticipant()